%define with_libstdc_preview 0

Name:		scim-chewing
Version:	0.3.1
Release:	11%{?dist}
Summary:	Chewing Chinese input method for SCIM

License:	GPL
Url:		http://chewing.csie.net/
Group:		System Environment/Libraries
Source:		http://chewing.csie.net/download/scim/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	scim-devel, libchewing-devel >= 0.3.0, gettext, intltool
%if %{with_libstdc_preview}
Buildrequires:	libstdc++so7-devel
%endif
Requires:	scim
Obsoletes:	iiimf-le-xcin <= 0.1.10, xcin
Patch0:		scim-chewing-0.3.1-4.bz197556.patch
Patch1:		scim-chewing-0.3.1-5.bz206125.patch
Patch2:		scim-chewing-0.3.1-6.bz206112.patch
Patch3:		scim-chewing-0.3.1-8.bz209575.patch
Patch4:		scim-chewing-0.3.1-10.bz216377.patch
Patch5:		scim-chewing-0.3.1-11.bz220287.patch

%description
This package provides Chewing Chinese input method for SCIM. 	


%prep
%setup -q
%patch0 -p1 -b .1-bz197556
%patch1 -p1 -b .2-bz206125
%patch2 -p1 -b .3-bz206112
%patch3 -p1 -b .4-bz209575
%patch4 -p1 -b .5-bz216377
%patch5 -p1 -b .5-bz220287

%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4\.1\.. /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/SetupUI/chewing-imengine-setup.so
%{_libdir}/scim-1.0/*/IMEngine/chewing.so
%{_datadir}/scim/icons/scim-chewing.png
%{_datadir}/scim/icons/scim-chewing-swap-colors.png


%changelog
* Thu Feb 19 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Jan 16 2008 Caius Chance <cchance@redhat.com> -0.3.1-11.el5
- Resolves: rhbz#220287 (Last candidate on lookup table is not a valid 
            candidate.)
  <<< Add logic to refit last look-up page.

* Wed Nov 02 2006 Caius Chance <cchance@redhat.com> -0.3.1-10.el5
- Fixed bz#216377 : Page Up / Page Down doesn't work when Chewing is activated.

* Wed Nov 02 2006 Caius Chance <cchance@redhat.com> -0.3.1-9.el5
- Fixed bz#211879 : scim-chewing should obsolete xcin when update from
  RHEL4 to RHEL5.

* Wed Nov 02 2006 Caius Chance <cchance@redhat.com> - 0.3.1-8.el5
- Fixed bz#209575 : gedit crash when triple click to select all with preedit 
  buffer present.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Caius Chance <cchance@redhat.com> - 0.3.1-6.fc6
- Fixed bz#206112 : Esc key to clean all buffer could't be disabled.

* Fri Sep 15 2006 Caius Chance <cchance@redhat.com> - 0.3.1-5_fc6
- Fixed bz#206125 : scim-chewing: Trigger keys setting isn't correct

* Mon Sep 04 2006 Caius Chance <cchance@redhat.com> - 0.3.1-4_fc6
- Fixed bz#197556 : pre-edit buffer for chewing is not reset after
    deactivation.

* Thu Aug 17 2006 Caius Chance <cchance@redhat.com> - 0.3.1-3
- remove patch of 0.3.1-2 as bug# 191957 is not reproduceable

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-2.1
- rebuild

* Mon Jun 26 2006 Darshan Santani <dsantani@redhat.com> - 0.3.1-2
- Add scim-chewing-LTC23919-191957.patch (Shoji Sugiyama [IBM Japan], #191957)

* Fri Jun 16 2006 Darshan Santani <dsantani@redhat.com> 
- Update to 0.3.1
- Changed BuildRequires to include intltool

* Tue Jun 06 2006 Darshan Santani <dsantani@redhat.com>
- Changed the BuildRequires to include gettext
- Rebuild

* Tue May 23 2006 Darshan Santani <dsantani@redhat.com>
- Revised the version number
- Rebuild

* Mon May 22 2006 Darshan Santani <dsantani@redhat.com>
- New source tarball added.
- Rebuild.

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-6
- rebuild without libstdc++so7

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-5
- build conditionally with libstdc++so7 preview library (#166041)
  - add with_libstdc_preview switch and tweak libtool to link against newer lib
- update filelist since module dir is now api-versioned

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- obsoletes iiimf-le-xcin for upgrades (#173071)

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- require scim explicitly

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- initial build for Fedora Core
- version 0.2.1 buildrequires libchewing 0.2.7 or later
- spec file cleanup

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- rebuild against scim-1.3.1

* Tue Jun 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- initial build
